Intermittent browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | Test timed out -

REOPENED
Assigned to

Status

P5
normal
REOPENED
2 years ago
9 days ago

People

(Reporter: intermittent-bug-filer, Assigned: robwu)

Tracking

({intermittent-failure})

unspecified
mozilla63
intermittent-failure
Bug Flags:
qe-verify -

Firefox Tracking Flags

(firefox-esr60 fixed, firefox63 fixed)

Details

Attachments

(1 attachment)

11 failures in 894 pushes (0.012 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 6
* mozilla-inbound: 4
* mozilla-central: 1

Platform breakdown:
* linux32: 6
* osx-10-10: 2
* linux64: 2
* windows7-32-vm: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1321182&startday=2017-04-10&endday=2017-04-16&tree=all
10 failures in 770 pushes (0.013 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 5
* try: 4
* mozilla-inbound: 1

Platform breakdown:
* windows7-32-vm: 5
* windows8-64: 2
* osx-10-10: 2
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1321182&startday=2017-05-01&endday=2017-05-07&tree=all
7 failures in 891 pushes (0.008 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 2
* mozilla-central: 2
* autoland: 2
* try: 1

Platform breakdown:
* windows8-64: 4
* windows7-32-vm: 2
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1321182&startday=2017-05-22&endday=2017-05-28&tree=all
8 failures in 820 pushes (0.01 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 4
* mozilla-central: 2
* autoland: 2

Platform breakdown:
* windows7-32-vm: 4
* windows8-64: 2
* osx-10-10: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1321182&startday=2017-05-29&endday=2017-06-04&tree=all
11 failures in 864 pushes (0.013 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 5
* autoland: 5
* try: 1

Platform breakdown:
* osx-10-10: 5
* windows7-32-vm: 4
* windows8-64: 1
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1321182&startday=2017-06-05&endday=2017-06-11&tree=all
2 failures in 814 pushes (0.002 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-beta: 1
* autoland: 1

Platform breakdown:
* windows7-32-vm: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1321182&startday=2017-06-12&endday=2017-06-18&tree=all
1 failures in 892 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 1

Platform breakdown:
* windows8-64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1321182&startday=2017-06-19&endday=2017-06-25&tree=all
1 failures in 718 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 1

Platform breakdown:
* osx-10-10: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1321182&startday=2017-06-26&endday=2017-07-02&tree=all
2 failures in 656 pushes (0.003 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* pine: 1
* mozilla-inbound: 1

Platform breakdown:
* osx-10-10: 1
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1321182&startday=2017-07-03&endday=2017-07-09&tree=all
2 failures in 822 pushes (0.002 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* try: 1
* mozilla-central: 1

Platform breakdown:
* osx-10-10: 1
* macosx64-nightly: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1321182&startday=2017-07-17&endday=2017-07-23&tree=all
1 failures in 908 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* try: 1

Platform breakdown:
* osx-10-10: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1321182&startday=2017-08-21&endday=2017-08-27&tree=all

Updated

a year ago
Priority: -- → P5
1 failures in 1032 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-central: 1

Platform breakdown:
* windows7-32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1321182&startday=2017-09-11&endday=2017-09-17&tree=all
1 failures in 943 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 1

Platform breakdown:
* windows7-32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1321182&startday=2017-09-18&endday=2017-09-24&tree=all
1 failures in 885 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 1

Platform breakdown:
* windows7-32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1321182&startday=2017-09-25&endday=2017-10-01&tree=all
3 failures in 947 pushes (0.003 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 2
* autoland: 1

Platform breakdown:
* windows7-32: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1321182&startday=2017-10-09&endday=2017-10-15&tree=all
1 failures in 864 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-central: 1

Platform breakdown:
* windows7-32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1321182&startday=2017-10-16&endday=2017-10-22&tree=all
https://wiki.mozilla.org/Bugmasters#Intermittent_Test_Failure_Cleanup
Status: NEW → RESOLVED
Last Resolved: 11 months ago
Resolution: --- → INCOMPLETE
1 failures in 744 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* try: 1

Platform breakdown:
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1321182&startday=2017-11-20&endday=2017-11-26&tree=all
https://treeherder.mozilla.org/#/jobs?repo=mozilla-central&noautoclassify&selectedJob=159625140&filter-searchStr=9e12b7ca9b7a516439bfa7e54fd9aad62e29b93d

10:19:23     INFO - TEST-UNEXPECTED-FAIL | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | Test timed out - 
10:19:23     INFO - Not taking screenshot here: see the one that was previously logged
10:19:23     INFO - TEST-UNEXPECTED-FAIL | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | Extension left running at test shutdown - 
10:19:23     INFO - Stack trace:
10:19:23     INFO -     chrome://mochikit/content/tests/SimpleTest/ExtensionTestUtils.js:ExtensionTestUtils.loadExtension/<:109
10:19:23     INFO -     chrome://mochikit/content/browser-test.js:Tester.prototype.nextTest<:664
10:19:23     INFO -     timeoutFn@chrome://mochikit/content/browser-test.js:1160:9
10:19:23     INFO -     setTimeout handler*Tester_execTest@chrome://mochikit/content/browser-test.js:1122:9
10:19:23     INFO -     Tester.prototype.nextTest</<@chrome://mochikit/content/browser-test.js:956:9
10:19:23     INFO -     SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<@chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:795:59
10:19:23     INFO - Not taking screenshot here: see the one that was previously logged
10:19:23     INFO - TEST-UNEXPECTED-FAIL | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | no tasks awaiting on messages - Got ["pong-beta"], expected []
10:19:23     INFO - Stack trace:
10:19:23     INFO -     chrome://mochikit/content/browser-test.js:test_is:1269
10:19:23     INFO -     chrome://mochikit/content/tests/SimpleTest/ExtensionTestUtils.js:ExtensionTestUtils.loadExtension/<:31
10:19:23     INFO -     chrome://mochikit/content/browser-test.js:Tester.prototype.nextTest<:664
10:19:23     INFO -     timeoutFn@chrome://mochikit/content/browser-test.js:1160:9
10:19:23     INFO -     setTimeout handler*Tester_execTest@chrome://mochikit/content/browser-test.js:1122:9
10:19:23     INFO -     Tester.prototype.nextTest</<@chrome://mochikit/content/browser-test.js:956:9
10:19:23     INFO -     SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<@chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:795:59
10:19:23     INFO - Not taking screenshot here: see the one that was previously logged
10:19:23     INFO - TEST-UNEXPECTED-FAIL | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | Extension left running at test shutdown - 
10:19:23     INFO - Stack trace:
10:19:23     INFO -     chrome://mochikit/content/tests/SimpleTest/ExtensionTestUtils.js:ExtensionTestUtils.loadExtension/<:109
10:19:23     INFO -     chrome://mochikit/content/browser-test.js:Tester.prototype.nextTest<:664
10:19:23     INFO -     timeoutFn@chrome://mochikit/content/browser-test.js:1160:9
10:19:23     INFO -     setTimeout handler*Tester_execTest@chrome://mochikit/content/browser-test.js:1122:9
10:19:23     INFO -     Tester.prototype.nextTest</<@chrome://mochikit/content/browser-test.js:956:9
10:19:23     INFO -     SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<@chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:795:59
10:19:23     INFO - GECKO(1974) | MEMORY STAT | vsize 4536MB | residentFast 493MB | heapAllocated 89MB
10:19:23     INFO - TEST-OK | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | took 45060ms
10:19:23     INFO - Not taking screenshot here: see the one that was previously logged
10:19:23     INFO - TEST-UNEXPECTED-FAIL | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | Found a tab after previous test timed out: http://mochi.test:8888/browser/browser/components/extensions/test/browser/context.html - 
10:19:23     INFO - checking window state
10:19:23     INFO - TEST-START | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus_checkboxes.js
10:19:24     INFO - GECKO(1974) | MEMORY STAT | vsize 4532MB | residentFast 488MB | heapAllocated 94MB
10:19:24     INFO - TEST-OK | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus_checkboxes.js | took 1284ms
10:19:24     INFO - checking window state
10:19:24     INFO - TEST-START | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus_commands.js
Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---
1 failures in 735 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-central: 1

Platform breakdown:
* osx-10-10: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1321182&startday=2018-01-29&endday=2018-02-04&tree=all
1 failures in 685 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 1

Platform breakdown:
* osx-10-10: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1321182&startday=2018-02-12&endday=2018-02-18&tree=all
1 failures in 831 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-release: 1

Platform breakdown:
* linux64-nightly: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1321182&startday=2018-02-26&endday=2018-03-04&tree=all
https://wiki.mozilla.org/Bug_Triage#Intermittent_Test_Failure_Cleanup
Status: REOPENED → RESOLVED
Last Resolved: 11 months ago7 months ago
Resolution: --- → INCOMPLETE

Updated

4 months ago
Product: Toolkit → WebExtensions
Recent log failure:
https://treeherder.mozilla.org/logviewer.html#?job_id=184537958&repo=mozilla-central&lineNumber=2125 

00:08:58     INFO -  277 INFO TEST-START | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js
00:08:59     INFO -  GECKO(3348) | console.warn: LoginRecipes: getRecipes: falling back to a synchronous message for: http://mochi.test:8888
00:08:59     INFO -  GECKO(3348) | console.warn: nsLoginManager: searchLogins: `formSubmitURL` or `httpRealm` is recommended
00:09:00     INFO -  GECKO(3348) | console.warn: nsLoginManager: searchLogins: `formSubmitURL` or `httpRealm` is recommended
00:09:00     INFO -  GECKO(3348) | console.warn: nsLoginManager: searchLogins: `formSubmitURL` or `httpRealm` is recommended
00:09:00     INFO -  GECKO(3348) | console.warn: nsLoginManager: searchLogins: `formSubmitURL` or `httpRealm` is recommended
00:09:00     INFO -  GECKO(3348) | console.warn: nsLoginManager: searchLogins: `formSubmitURL` or `httpRealm` is recommended
00:09:00     INFO -  GECKO(3348) | console.warn: nsLoginManager: searchLogins: `formSubmitURL` or `httpRealm` is recommended
00:09:18     INFO -  GECKO(3348) | [NPAPI 4628, Chrome_ChildThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 346
00:09:19     INFO -  GECKO(3348) | [NPAPI 4628, Chrome_ChildThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 346
00:09:43     INFO -  TEST-INFO | started process screenshot
00:09:44     INFO -  TEST-INFO | screenshot: exit 0
00:09:44     INFO -  <snipped 48 output lines - if you need more context, please use SimpleTest.requestCompleteLog() in your test>
00:09:44     INFO -  Buffered messages logged at 00:08:59
00:09:44     INFO -  278 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | click info editable expected to be: true but was: true -
00:09:44     INFO -  279 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | click info page source is the right tab -
00:09:44     INFO -  280 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | click info menuItemId expected to be: ext-editable but was: ext-editable -
00:09:44     INFO -  281 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | click info pageUrl expected to be: http://mochi.test:8888/browser/browser/components/extensions/test/browser/context.html but was: http://mochi.test:8888/browser/browser/components/extensions/test/browser/context.html -
00:09:44     INFO -  282 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | click info editable expected to be: true but was: true -
00:09:44     INFO -  283 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | click info page source is the right tab -
00:09:44     INFO -  284 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | contextMenu item for text input element was not found (context=editable fails for readonly items) -
00:09:44     INFO -  Buffered messages logged at 00:09:00
00:09:44     INFO -  285 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | contextMenu item for text input element was found (context=editable) -
00:09:44     INFO -  286 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | click info menuItemId expected to be: ext-editable but was: ext-editable -
00:09:44     INFO -  287 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | click info pageUrl expected to be: http://mochi.test:8888/browser/browser/components/extensions/test/browser/context.html but was: http://mochi.test:8888/browser/browser/components/extensions/test/browser/context.html -
00:09:44     INFO -  288 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | click info editable expected to be: true but was: true -
00:09:44     INFO -  289 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | click info page source is the right tab -
00:09:44     INFO -  290 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | click info menuItemId expected to be: ext-editable but was: ext-editable -
00:09:44     INFO -  291 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | click info pageUrl expected to be: http://mochi.test:8888/browser/browser/components/extensions/test/browser/context.html but was: http://mochi.test:8888/browser/browser/components/extensions/test/browser/context.html -
00:09:44     INFO -  292 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | click info editable expected to be: true but was: true -
00:09:44     INFO -  293 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | click info page source is the right tab -
00:09:44     INFO -  294 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | contextMenu item for text input element was found (context=editable) -
00:09:44     INFO -  295 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | click info menuItemId expected to be: ext-editable but was: ext-editable -
00:09:44     INFO -  296 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | click info pageUrl expected to be: http://mochi.test:8888/browser/browser/components/extensions/test/browser/context.html but was: http://mochi.test:8888/browser/browser/components/extensions/test/browser/context.html -
00:09:44     INFO -  297 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | click info editable expected to be: true but was: true -
00:09:44     INFO -  298 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | click info page source is the right tab -
00:09:44     INFO -  299 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | click info menuItemId expected to be: ext-editable but was: ext-editable -
00:09:44     INFO -  300 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | click info pageUrl expected to be: http://mochi.test:8888/browser/browser/components/extensions/test/browser/context.html but was: http://mochi.test:8888/browser/browser/components/extensions/test/browser/context.html -
00:09:44     INFO -  301 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | click info editable expected to be: true but was: true -
00:09:44     INFO -  302 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | click info page source is the right tab -
00:09:44     INFO -  303 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | contextMenu item for password input element was found (context=password) -
00:09:44     INFO -  304 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | click info menuItemId expected to be: ext-password but was: ext-password -
00:09:44     INFO -  305 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | click info pageUrl expected to be: http://mochi.test:8888/browser/browser/components/extensions/test/browser/context.html but was: http://mochi.test:8888/browser/browser/components/extensions/test/browser/context.html -
00:09:44     INFO -  306 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | click info editable expected to be: true but was: true -
00:09:44     INFO -  307 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | click info page source is the right tab -
00:09:44     INFO -  308 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | click info menuItemId expected to be: ext-password but was: ext-password -
00:09:44     INFO -  309 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | click info pageUrl expected to be: http://mochi.test:8888/browser/browser/components/extensions/test/browser/context.html but was: http://mochi.test:8888/browser/browser/components/extensions/test/browser/context.html -
00:09:44     INFO -  310 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | click info editable expected to be: true but was: true -
00:09:44     INFO -  311 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | click info page source is the right tab -
00:09:44     INFO -  312 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | contextMenu item for password input element was found (context=password) -
00:09:44     INFO -  313 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | click info menuItemId expected to be: ext-password but was: ext-password -
00:09:44     INFO -  314 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | click info pageUrl expected to be: http://mochi.test:8888/browser/browser/components/extensions/test/browser/context.html but was: http://mochi.test:8888/browser/browser/components/extensions/test/browser/context.html -
00:09:44     INFO -  315 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | click info editable expected to be: false but was: false -
00:09:44     INFO -  316 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | click info page source is the right tab -
00:09:44     INFO -  317 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | click info menuItemId expected to be: ext-password but was: ext-password -
00:09:44     INFO -  318 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | click info pageUrl expected to be: http://mochi.test:8888/browser/browser/components/extensions/test/browser/context.html but was: http://mochi.test:8888/browser/browser/components/extensions/test/browser/context.html -
00:09:44     INFO -  319 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | click info editable expected to be: false but was: false -
00:09:44     INFO -  320 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | click info page source is the right tab -
00:09:44     INFO -  321 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | contextMenu item was found (context=page) -
00:09:44     INFO -  322 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | click info menuItemId expected to be: ext-without-onclick but was: ext-without-onclick -
00:09:44     INFO -  323 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | click info pageUrl expected to be: http://mochi.test:8888/browser/browser/components/extensions/test/browser/context.html but was: http://mochi.test:8888/browser/browser/components/extensions/test/browser/context.html -
00:09:44     INFO -  324 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | click info page source is the right tab -
00:09:44     INFO -  325 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | contextMenu item for selection was found (context=selection) -
00:09:44     INFO -  326 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | contextMenu item label update worked (context=selection) -
00:09:44     INFO -  327 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | click info menuItemId expected to be: ext-selection but was: ext-selection -
00:09:44     INFO -  328 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | click info pageUrl expected to be: http://mochi.test:8888/browser/browser/components/extensions/test/browser/context.html but was: http://mochi.test:8888/browser/browser/components/extensions/test/browser/context.html -
00:09:44     INFO -  329 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | click info selectionText expected to be:  just some text 1234567890123456789012345678901234567890123456789012345678901234567890123456789012 but was:  just some text 1234567890123456789012345678901234567890123456789012345678901234567890123456789012 -
00:09:44     INFO -  330 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | click info page source is the right tab -
00:09:44     INFO -  331 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | click info menuItemId expected to be: ext-selection but was: ext-selection -
00:09:44     INFO -  332 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | click info pageUrl expected to be: http://mochi.test:8888/browser/browser/components/extensions/test/browser/context.html but was: http://mochi.test:8888/browser/browser/components/extensions/test/browser/context.html -
00:09:44     INFO -  333 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | click info selectionText expected to be:  just some text 1234567890123456789012345678901234567890123456789012345678901234567890123456789012 but was:  just some text 1234567890123456789012345678901234567890123456789012345678901234567890123456789012 -
00:09:44     INFO -  334 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | click info page source is the right tab -
00:09:44     INFO -  335 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | contextMenu item for longtext selection was found (context=selection) -
00:09:44     INFO -  336 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | click info menuItemId expected to be: ext-selection but was: ext-selection -
00:09:44     INFO -  337 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | click info pageUrl expected to be: http://mochi.test:8888/browser/browser/components/extensions/test/browser/context.html but was: http://mochi.test:8888/browser/browser/components/extensions/test/browser/context.html -
00:09:44     INFO -  338 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | click info page source is the right tab -
00:09:44     INFO -  339 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | click info menuItemId expected to be: ext-selection but was: ext-selection -
00:09:44     INFO -  340 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | click info pageUrl expected to be: http://mochi.test:8888/browser/browser/components/extensions/test/browser/context.html but was: http://mochi.test:8888/browser/browser/components/extensions/test/browser/context.html -
00:09:44     INFO -  341 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | click info page source is the right tab -
00:09:44     INFO -  342 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | long text selection worked -
00:09:44     INFO -  343 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | contextMenu item for text input element was found (context=editable) -
00:09:44     INFO -  344 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | click info menuItemId expected to be: ext-editable but was: ext-editable -
00:09:44     INFO -  345 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | click info editable expected to be: true but was: true -
00:09:44     INFO -  346 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | click info pageUrl expected to be: http://mochi.test:8888/browser/browser/components/extensions/test/browser/context.html but was: http://mochi.test:8888/browser/browser/components/extensions/test/browser/context.html -
00:09:44     INFO -  347 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | click info page source is the right tab -
00:09:44     INFO -  348 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | click info menuItemId expected to be: ext-editable but was: ext-editable -
00:09:44     INFO -  349 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | click info editable expected to be: true but was: true -
00:09:44     INFO -  350 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | click info pageUrl expected to be: http://mochi.test:8888/browser/browser/components/extensions/test/browser/context.html but was: http://mochi.test:8888/browser/browser/components/extensions/test/browser/context.html -
00:09:44     INFO -  351 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | click info page source is the right tab -
00:09:44     INFO -  352 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | long text selection worked -
00:09:44     INFO -  353 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | top level item was not found (after removeAll() -
00:09:44     INFO -  354 INFO Leaving test bound
00:09:44     INFO -  355 INFO Entering test bound testRemoveAllWithTwoExtensions
00:09:44     INFO -  356 INFO Console message: [JavaScript Warning: "Password fields present on an insecure (http://) page. This is a security risk that allows user login credentials to be stolen." {file: "http://mochi.test:8888/browser/browser/components/extensions/test/browser/context.html" line: 0 column: 0 source: "0"}]
00:09:44     INFO -  357 INFO Extension loaded
00:09:44     INFO -  358 INFO Extension loaded
00:09:44     INFO -  359 INFO Console message: Warning: attempting to write 5584 bytes to preference extensions.webextensions.uuids. This is bad for general performance and memory usage. Such an amount of data should rather be written to an external file. This preference will not be sent to any content processes.
00:09:44     INFO -  360 INFO Console message: Warning: attempting to write 5664 bytes to preference extensions.webextensions.uuids. This is bad for general performance and memory usage. Such an amount of data should rather be written to an external file. This preference will not be sent to any content processes.
00:09:44     INFO -  361 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | menu item alpha found -
00:09:44     INFO -  362 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | menu item beta found -
00:09:44     INFO -  363 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | menu item gamma not found -
00:09:44     INFO -  364 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | menu item alpha not found -
00:09:44     INFO -  365 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | menu item beta found -
00:09:44     INFO -  366 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | menu item gamma not found -
00:09:44     INFO -  367 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | menu item alpha not found -
00:09:44     INFO -  368 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | menu item beta found -
00:09:44     INFO -  369 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | menu item gamma found -
00:09:44     INFO -  Buffered messages logged at 00:09:01
00:09:44     INFO -  370 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | menu item alpha not found -
00:09:44     INFO -  371 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | menu item beta not found -
00:09:44     INFO -  372 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | menu item gamma found -
00:09:44     INFO -  373 INFO Leaving test bound testRemoveAllWithTwoExtensions
00:09:44     INFO -  374 INFO Entering test bound test_bookmark_contextmenu
00:09:44     INFO -  375 INFO Global property added while loading chrome://browser/content/places/browserPlacesViews.js: PlacesViewBase
00:09:44     INFO -  376 INFO Extension loaded
00:09:44     INFO -  377 INFO Console message: Warning: attempting to write 5744 bytes to preference extensions.webextensions.uuids. This is bad for general performance and memory usage. Such an amount of data should rather be written to an external file. This preference will not be sent to any content processes.
00:09:44     INFO -  Buffered messages finished
00:09:44    ERROR -  378 INFO TEST-UNEXPECTED-FAIL | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | Test timed out -
Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---
1 failures in 521 pushes (0.002 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-central: 1

Platform breakdown:
* windows7-32: 1

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1321182&startday=2018-06-18&endday=2018-06-24&tree=trunk
1 failures in 622 pushes (0.002 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* try: 1

Platform breakdown:
* windows7-32-devedition: 1

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1321182&startday=2018-07-02&endday=2018-07-08&tree=trunk
Comment hidden (mozreview-request)
(Assignee)

Updated

3 months ago
Assignee: nobody → rob
Status: REOPENED → ASSIGNED

Comment 28

3 months ago
mozreview-review
Comment on attachment 8993714 [details]
Bug 1321182 - Register click handler before starting click test in browser_ext_contextMenus.js

https://reviewboard.mozilla.org/r/258398/#review265448
Attachment #8993714 - Flags: review?(mixedpuppy) → review+

Comment 29

3 months ago
Pushed by rob@robwu.nl:
https://hg.mozilla.org/integration/autoland/rev/69529e9693b0
Register click handler before starting click test in browser_ext_contextMenus.js r=mixedpuppy

Comment 30

3 months ago
bugherder
https://hg.mozilla.org/mozilla-central/rev/69529e9693b0
Status: ASSIGNED → RESOLVED
Last Resolved: 7 months ago3 months ago
status-firefox63: --- → fixed
Resolution: --- → FIXED
Target Milestone: --- → mozilla63
This is still happening.

Recent failure log: browser/components/extensions/test/browser/test-oop-extensions/browser_ext_contextMenus.js | Extension left running at test
Status: RESOLVED → REOPENED
Resolution: FIXED → ---
status-firefox63: fixed → ?
(Assignee)

Comment 32

3 months ago
Apparently there are multiple other race conditions in tests involving the contextMenus API.
I've attached the patch to bug 1373234 because mozreview won't let me attach more patches to this bug.
Depends on: 1373234
3 failures in 760 pushes (0.004 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 2
* mozilla-inbound: 1

Platform breakdown:
* windows7-32: 3

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1321182&startday=2018-07-23&endday=2018-07-29&tree=trunk
(Assignee)

Comment 34

3 months ago
Fixed via bug 1373234 by https://hg.mozilla.org/mozilla-central/rev/8cd5c902c0f8
Status: REOPENED → RESOLVED
Last Resolved: 3 months ago3 months ago
Resolution: --- → FIXED

Updated

3 months ago
Flags: qe-verify-
status-firefox63: ? → fixed
status-firefox-esr60: --- → fixed
1 failures in 2667 pushes (0.0 failures/push) were associated with this bug in the last 7 days.

Repository breakdown:
* autoland: 1

Platform breakdown:
* windows7-32: 1

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1321182&startday=2018-09-03&endday=2018-09-09&tree=all
1 failures in 2773 pushes (0.0 failures/push) were associated with this bug in the last 7 days.

Repository breakdown:
* autoland: 1

Platform breakdown:
* windows7-32: 1

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1321182&startday=2018-09-24&endday=2018-09-30&tree=all
1 failures in 2708 pushes (0.0 failures/push) were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 1

Platform breakdown:
* windows7-32: 1

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1321182&startday=2018-10-01&endday=2018-10-07&tree=all
You need to log in before you can comment on or make changes to this bug.